NameVirtualHost *:80

## Vhost par d�faut
<VirtualHost *:80>
    ServerName acer.zone.teledisnet.be
    ServerAdmin webmaster@acer.zone.teledisnet.be
		
		DocumentRoot /usr/local/httpd2211/htdocs/
		<Directory /usr/local/httpd2211/htdocs>
			AllowOverride none
			Options None
			Order allow,deny
			Allow from all
		</Directory>
		
		## si nous souhaitons premettre uniquement aux fichiers .php, .php2, .php3, .php4, .php5, .php6 et
    ## .phtml d'�tre interpr�t�s par PHP, et � aucun autre, nous utiliserons :

		<FilesMatch "\.ph(p[2-6]?|tml)$">
      SetHandler application/x-httpd-php
    </FilesMatch>
    
    <FilesMatch "\.phps$">
      SetHandler application/x-httpd-php-source
    </FilesMatch>
</VirtualHost>

## Vhost acer.lan ##
<VirtualHost *:80>
    ServerName acer.lan
    ServerAlias www.acer.lan
    ServerAdmin webmaster@acer.lan
	
    SuexecUserGroup dexinou dexinou
	
    DocumentRoot /home/www/dexinou/www/
    <Directory /home/www/dexinou/www>
       DirectoryIndex index.php index.html index.htm
       AllowOverride All
       Options All -Indexes SymLinksIfOwnerMatch
       Order allow,deny
       Allow from all
       Action php-script /php-script/php-cgi
       AddHandler php-script .php .php3 .php4
    </Directory>
	    
    ScriptAlias /php-script/ /home/www/php/dexinou/
    <Directory /home/www/php/dexinou>
       AllowOverride None
       Options -Indexes +ExecCGI +SymLinksIfOwnerMatch
       SetHandler cgi-script
       Order allow,deny
       Allow from all
    </Directory>

    ScriptAlias /cgi-bin/ /home/www/dexinou/cgi-bin/
    <Directory /home/www/dexinou/cgi-bin>
       AllowOverride None
       Options None
       #Options -Indexes +ExecCGI +SymLinksIfOwnerMatch
       #SetHandler cgi-script
       Order allow,deny
       Allow from all
    </Directory>

    LogLevel warn
    #RewriteLogLevel 2
    #RewriteLog "|/usr/local/httpd2211/bin/rotatelogs /home/www/dexinou/logs/dexinou-rewrite_log 86400"
    ErrorLog "|/usr/local/httpd2211/bin/rotatelogs /home/www/dexinou/logs/dexinou-error_log 86400"
    CustomLog "|/usr/local/httpd2211/bin/rotatelogs /home/www/dexinou/logs/dexinou-access_log 86400" combined
</VirtualHost>

## Vhost panel.acer.lan
<VirtualHost *:80>
    ServerName panel.acer.lan
    ServerAdmin webmaster@acer.lan
	
    SuexecUserGroup dexinou dexinou
	
    DocumentRoot /home/www/dexinou/panel/
    <Directory /home/www/dexinou/panel>
       DirectoryIndex index.php index.html index.htm
       AllowOverride All
       Options All -Indexes SymLinksIfOwnerMatch
       Order allow,deny
       Allow from all
       Action php-script /php-script/php-cgi
       AddHandler php-script .php .php3 .php4
    </Directory>
	    
    ScriptAlias /php-script/ /home/www/php/dexinou/
    <Directory /home/www/php/dexinou>
       AllowOverride None
       Options -Indexes +ExecCGI +SymLinksIfOwnerMatch
       SetHandler cgi-script
       Order allow,deny
       Allow from all
    </Directory>

    ScriptAlias /cgi-bin/ /home/www/dexinou/cgi-bin/
    <Directory /home/www/dexinou/cgi-bin>
       AllowOverride None
       Options None
       #Options -Indexes +ExecCGI +SymLinksIfOwnerMatch
       #SetHandler cgi-script
       Order allow,deny
       Allow from all
    </Directory>

    LogLevel warn
    #RewriteLogLevel 2
    #RewriteLog "|/usr/local/httpd2211/bin/rotatelogs /home/www/dexinou/logs/dexinou-rewrite_log 86400"
    ErrorLog "|/usr/local/httpd2211/bin/rotatelogs /home/www/dexinou/logs/dexinou-error_log 86400"
    CustomLog "|/usr/local/httpd2211/bin/rotatelogs /home/www/dexinou/logs/dexinou-access_log 86400" combined
</VirtualHost>

## Vhost myadmin.acer.lan
<VirtualHost *:80>
    ServerName myadmin.acer.lan
    ServerAdmin webmaster@acer.lan

		DocumentRoot /usr/local/share/phpmyadmin/
		<Directory /usr/local/share/phpmyadmin>
			DirectoryIndex index.php index.html index.htm
			AllowOverride All
			Options All -Indexes
			Order allow,deny
			Allow from all
		</Directory>
		
		<IfModule mod_php5.c>
			php_admin_value open_basedir "/usr/local/share/phpmyadmin/:/usr/local/php5/lib/:/tmp:/bin/:/usr/bin/:/usr/local/bin/"
			php_admin_value upload_tmp_dir "/tmp/"
			php_admin_value disable_functions "exec, shell_exec, passthru, system"
			php_admin_flag safe_mode on
		</IfModule>

		<FilesMatch "\.ph(p[2-6]?|tml)$">
      SetHandler application/x-httpd-php
    </FilesMatch>
    
    <FilesMatch "\.phps$">
      SetHandler application/x-httpd-php-source
    </FilesMatch>
</VirtualHost>
